Page MenuHomePhabricator

Implement slave_run_triggers_for_rbr at sanitarium for labs filtering
Closed, ResolvedPublic

Description

This functionality:

https://mariadb.com/kb/en/mariadb/running-triggers-on-the-slave-for-row-based-events/

resolves the main blocker of migrating to ROW-based replication because our current filtering for labs replicas is based on triggers (which usually they are not executed when receiving ROW events).

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

jcrespo created this task.Dec 11 2015, 10:19 AM
jcrespo raised the priority of this task from to High.
jcrespo updated the task description. (Show Details)
jcrespo added projects: DBA, Operations.
jcrespo added a subscriber: jcrespo.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 11 2015, 10:19 AM
jcrespo added a subscriber: Volans.Feb 11 2016, 3:03 PM
Volans moved this task from Triage to Backlog on the DBA board.Apr 30 2016, 11:02 AM
Marostegui closed this task as Resolved.Jul 20 2017, 4:06 PM
Marostegui assigned this task to jcrespo.
Marostegui added a subscriber: Marostegui.

I am going to resolve this as this has been implemented on the new sanitariums servers (db1095 and db1102). db1069 will not be migrated to 10.1, instead it will be decommissioned soon.